% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
classdef Grid < handle
    
    properties
        parent_cell = [];
        parent_grid = [];
        cells = [];
        split_pb = [];
        num_cells = 0;
        grid_index = 0;
        rGrid = [];
        new_cell_pb = [];
        delete_cell_pb = [];
    end
    
    methods
        %% Grid
        %    constructor
        % inputs:
        %   index:integer - Grid's index
        %   p_cell:Cell - Parent cell
        % outputs:
        %   n:Cell - created cell
        function n = Grid(index,p_cell)
            n.grid_index = index;
            n.parent_cell = p_cell;
        end
        
        
    end
    
    
end

